[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#779608: xvfb: cleanup on signal exits as well



For your convenience, full patch is attached.

-- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git
--- /usr/bin/xvfb-run	2015-03-04 17:16:14.751938799 +0100
+++ /usr/bin/xvfb-run	2015-03-04 17:05:43.967955334 +0100
@@ -140,7 +140,7 @@
 fi
 
 # tidy up after ourselves
-trap clean_up EXIT
+trap clean_up EXIT INT QUIT TERM
 
 # If the user did not specify an X authorization file to use, set up a temporary
 # directory to house one.
@@ -180,7 +180,7 @@
 
 # Start the command and save its exit status.
 set +e
-DISPLAY=:$SERVERNUM XAUTHORITY=$AUTHFILE "$@" 2>&1
+DISPLAY=:$SERVERNUM XAUTHORITY=$AUTHFILE "$@" 2>&1 & wait $!
 RETVAL=$?
 set -e
 

Reply to: